<template>
  <div>
    <comment-area ></comment-area>
    <comment-message></comment-message>
  </div>
</template>

<script>
import CommentMessage from "./CommentMessage";
import CommentArea from "./CommentArea";
import {mapActions, mapState} from "vuex";

export default {
  name: "Message",
  components: {
    CommentMessage,
    CommentArea
  },

  data() {
    return {
      comments: [],
      comment: null
    };
  },

  computed: {
    ...mapState('discuss', ['post_id'])
  },

  mounted() {
    this.getCommentList();
  },
  methods: {
    ...mapActions('discuss', ['getCommentList']),

    handleReply(comment) {
      this.comment = comment;
    },
  }
};
</script>

<style>
</style>